## ros-lunar-delphi-mrr-msgs 2.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(delphi_mrr_msgs)

add_definitions(-std=c++11)

set(CMAKE_CXX_FLAGS "-std=c++0x ${CMAKE_CXX_FLAGS}")

find_package(catkin REQUIRED COMPONENTS
    message_generation
    std_msgs
)

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  # can Tx
  TrackMotionPower.msg
  Detection.msg
  IVFTracksChange.msg
  ActiveFaultLatched2.msg
  ActiveFaultLatched1.msg
  SyncTimestamp.msg
  XCPMrrDaqResp.msg
  XCPMrrDtoResp.msg
  XCPMrrDtoReq.msg
  XCPMrrCtoResp.msg
  XCPMrrCtoReq.msg
  FordDiagReqFunc.msg
  FordDiagRespPhys.msg
  WheelSpeedMsg.msg
  VehicleStateMsg3.msg
  VehicleStateMsg2.msg
  VehicleStateMsg1.msg
  LrosCarCfgFord.msg
  SystemTDBlockage.msg
  LrosVinPart3.msg
  LrosVinPart2.msg
  LrosVinPart1.msg
  LrosSignalsActualValues.msg
  LrosFordSpecific.msg
  IFVStatusVFPCANVersion.msg
  IFVStatusHostCANVersion.msg
  MrrHeaderSensorPosition.msg
  MrrHeaderSensorCoverage.msg
  MrrHeaderTimestamps.msg
  MrrHeaderInformationDetections.msg
  MrrControlAlignment.msg
  MrrStatusTempVolt.msg
  SystemStatus.msg
  SystemAlignFactory2.msg
  SystemAlignFactory1.msg
  SystemAlignment2.msg
  SystemAlignment1.msg
  MrrControlMsgNR.msg
  MrrStatusSerialNumber.msg
  MrrStatusSwVersion.msg
  IFVStatusCompensated.msg
  LrosOdometerValue.msg
  MrrHeaderAlignmentState.msg
  MrrControlMsgFR.msg
  SystemControl.msg
)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(CATKIN_DEPENDS
  message_runtime
  std_msgs
)

=== debian/changelog ===
ros-lunar-delphi-mrr-msgs (2.3.1-0xenial) xenial; urgency=high

  * Merge pull request #31 <https://github.com/astuff/astuff_sensor_msgs/issues/31> from astuff/maint/add_urls
  * Adding URLs to package.xml files.
  * Contributors: Daniel-Stanek, Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 07 Dec 2018 06:00:00 -0000

ros-lunar-delphi-mrr-msgs (2.3.0-0xenial) xenial; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 04 Oct 2018 05:00:00 -0000

ros-lunar-delphi-mrr-msgs (2.2.2-0xenial) xenial; urgency=high

  * Merge pull request #23 <https://github.com/astuff/astuff_sensor_msgs/issues/23> from ASDeveloper00/bugfix
  * MRR detection msg - datatype correction
  * Contributors: Joshua Whitley, sepidj

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 30 Aug 2018 05:00:00 -0000

ros-lunar-delphi-mrr-msgs (2.2.1-0xenial) xenial; urgency=high

  * Merge pull request #20 <https://github.com/astuff/astuff_sensor_msgs/issues/20> from ASDeveloper00/master
    MRR clean up : ESR, styling, bug fixes
  * MRR - Initial commit
    * all newly created messages for MRR repo
    * all newly added message definitions
    * committed by Brad
  * Contributors: ASDeveloper00, Daniel-Stanek, sepidj

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Wed, 08 Aug 2018 05:00:00 -0000

=== debian/control ===
Source: ros-lunar-delphi-mrr-msgs
Section: misc
Priority: extra
Maintainer: AutonomouStuff Software Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-message-generation, ros-lunar-std-msgs
Homepage: http://wiki.ros.org/delphi_mrr_msgs
Standards-Version: 3.9.2

Package: ros-lunar-delphi-mrr-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-message-runtime, ros-lunar-std-msgs
Description: Message definitions for the Delphi MRR

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-delphi-mrr-msgs//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
